<?php
session_start();
require_once __DIR__ . '/../../db/conexion.php';

if (!isset($_SESSION['rol']) || $_SESSION['rol'] !== 'admin') {
  echo json_encode(['success' => false, 'message' => 'Acceso denegado']);
  exit;
}

$sql = "SELECT ID, Nombre, CURP, Movimiento, temporalidadMovimiento, actualPDV, nuevoPDV, nuevoPuesto,
               actualSueldo, nuevoSueldo, Bono, fechaSolicitud, Observaciones, EstatusRH
        FROM PlantillaSolicitMovim
        ORDER BY 
          CASE EstatusRH
            WHEN 0 THEN 0
            WHEN 1 THEN 1
            WHEN 3 THEN 2
          END,
          fechaSolicitud DESC";



$result = $conn->query($sql);
$datos = [];

while ($row = $result->fetch_assoc()) {
  $datos[] = $row;
}

echo json_encode(['success' => true, 'data' => $datos]);
